#include <Wire.h>  // Arduino IDE built in library
#include <LCD.h>
#include <LiquidCrystal_I2C.h>

// Set the pins on the I2C chip used for LCD connections:
//                    addr, en,rw,rs,d4,d5,d6,d7,bl,blpol
LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);  // setting LCD I2C address

void setup() {

  Serial.begin(115200);  // for manual input
  lcd.begin(16, 2);      // Initializing LCD，One row 16 character，total 2 rows

  for(int i = 0; i < 3; i++) {   // backlight blink 3 times
    lcd.backlight(); // open backlight
    delay(250);
    lcd.noBacklight(); // shutdown backlight
    delay(250);
  }
  lcd.backlight();

  // lcd output
  lcd.setCursor(0, 0); // set cursor to first row first position
  lcd.print("Hello, world!");
  delay(1000);
  lcd.setCursor(0, 1); // set cursor to second row first position
  lcd.print("Test after 5s");

  for (int i = 0; i <5; i++){ 
  int j=5-i;
  delay(1000);
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print(j);
  }
  // Telling user to input characters
  delay(1000);
  lcd.print("Let's begin!");  
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("Use Serial Mon");
  lcd.setCursor(0, 1);
  lcd.print("Type to display");   
}

void loop() {
  // When user inputting messages
  if (Serial.available()) {
    // wait for catching data
    delay(100);
    // delete old message
    lcd.clear();
    // read new message
    while (Serial.available() > 0) {
      // display new messages
      lcd.write(Serial.read());
    }
  }
}
