
//const int servoPin = 8;

const int enAPin = 6; // Left Motor PWM speed control
const int in1Pin = 7; // Left Motor direction 1
const int in2Pin = 5; // Left Motor direction 2
const int in3Pin = 4; // Right Motor direction 1
const int in4Pin = 2; // Right Motor direction 2
const int enBPin = 3; // Right Motor PWM speed control
enum Motor{LEFT, RIGHT};

void setup() {
  pinMode(enAPin, OUTPUT);
  pinMode(in1Pin, OUTPUT);
  pinMode(in2Pin, OUTPUT);
  pinMode(in3Pin, OUTPUT);
  pinMode(in4Pin, OUTPUT);
  pinMode(enBPin, OUTPUT);
  go(LEFT, 0);
  go(RIGHT, 0);
  
}

void loop() {
  testMotors(); 

}

void go(enum Motor m, int speed){
  digitalWrite (m==LEFT? in1Pin:in3Pin, speed>0? HIGH:LOW);
  digitalWrite (m==LEFT? in2Pin:in4Pin, speed<=0? HIGH:LOW);  
  analogWrite (m==LEFT? enAPin:enBPin, speed<0? -speed: speed);    
}

void testMotors(){
  static int speed[8] = {128, 255, 128, 0, -128, -255, -128, 0};
  go(LEFT, 0);
  go(RIGHT, 0);
  for (unsigned char i=0; i<8; i++){
    go(LEFT, speed[i]);
    delay(200);                                                                                                    
  }
  for (unsigned char i=0; i<8; i++){
    go(RIGHT, speed[i]);
    delay(200);
  }
  
}
